Website Builder API
GET /services/websites/v1/redirect Public

Handle Redirection

Parameters

NameTypeInRequiredDescription
website_id string query Required ID of the website to redirect within
type string query Required Redirection type (e.g. 'structures_redirection')
structure_identifier string query Required Post type identifier of the structure to look up
item_identifier string query Required Unique identifier of the item to resolve the redirect URL for

Responses

200
422
429
Redirect to a specific URL
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X GET "https://api.wemasy.nl/api/services/websites/v1/redirect" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
fetch('https://api.wemasy.nl/api/services/websites/v1/redirect', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json'  }})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->get('https://api.wemasy.nl/api/services/websites/v1/redirect');
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
r = requests.get("https://api.wemasy.nl/api/services/websites/v1/redirect", headers=headers)
print(r.json())

Try It
website_id Required
type Required
structure_identifier Required
item_identifier Required

Export